Sugaronline Help Pages

QuoTrek: Download

Installing QuoTrek

To install QuoTrek 3.0.10 on your BlackBerry or Java-enabled wireless device:

    1. Type www.Quote.mobi into the browser address line.
    2. Click on Downloads.
    3. Click QuoTrek 3.0.10 to complete the installation.

All BlackBerry handheld devices with RIM OS 4.0.2 or higher and many of the new Java-enabled wireless devices are compatible with QuoTrek 3.0.10.

When you run QuoTrek 3.0.10 for the first time on a BlackBerry, you will be asked to allow the socket connection. Scroll down and check "http connections" (with the spacebar) and then hit "Return" on "Allow this connection". To run QuoTrek 3.0.10 on your Java-enabled device, you'll need Java CLDC 1.1 or higher and MIDP 2.0 or higher.

Note: The carriers introduce new mobile devices quite regularly. While we continually work toward making QuoTrek compatible with as many devices as possible, it's likely some units may not be fully functional with QuoTrek 3.0.10. We offer a 30-day trial for testing.

List of Compatible Devices and Phones

QuoTrek 3.0.10 is compatible with a number of BlackBerry, Java-enabled and Google Android devices / phones.

QuoTrek 3.0.10 is compatible with a select list of BlackBerry devices:
RIM BlackBerry 8700c

RIM BlackBerry 8700f

RIM BlackBerry 8700g

RIM BlackBerry 8700r

RIM BlackBerry 8700v

RIM BlackBerry 8703e

RIM BlackBerry 8705g

RIM BlackBerry 8707g

RIM BlackBerry 8707h

RIM BlackBerry 8707v

RIM BlackBerry 8800

RIM BlackBerry 8800c

RIM BlackBerry 8800r

RIM BlackBerry 8800t

RIM BlackBerry 8820

RIM BlackBerry 8830 (Verizon)

RIM BlackBerry 8830 World Edition

RIM BlackBerry Curve 8900

RIM BlackBerry Curve 8300

RIM BlackBerry Curve 8310

RIM BlackBerry Curve 8320

RIM BlackBerry Pearl 8100

RIM BlackBerry Bold 9000

RIM BlackBerry Bold 9700 New!

RIM BlackBerry Storm 9530

RIM BlackBerry Storm 2 9550 New!


QuoTrek 3.0.10 is also compatible with a select list of Java-enabled devices and will work on most mobile devices with a Java JVM that is CLDC 1.1 or higher and MIDP 2.0 or higher installed. Tested on:
Nokia N75 -- Symbian

Nokia E63 - Symbian

T-Mobile Wing -- Windows Mobile

Back To Top

QuoTrek 3.0.10 is compatible with most of the new Google Android phones, such as:
HTC Tattoo

HTC Desire 6200

HTC Dream G1 from T-Mobile (tested)

HTC Hero from Sprint (tested)

HTC Magic T-Mobile myTouch 3G

Motorola Droid from Verizon (tested)

Motorola Cliq

Samsung Behold 2

Samsung m850 Q

Samsung Moment InstinctQ m900

Because QuoTrek is a Java J2ME application and Android does not support J2ME out of the box, you’ll need to have Android J2ME Runner installed first. Android J2ME Runner is a bridge between Android and the J2ME world. J2ME Runner from Netmite is available from the Google Android Market for free. We have plans to make QuoTrek available on the Google Market app store in the future.

spacer